petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESNASMSetType

Set the type of subdomain update used

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetType(SNES snes,PCASMType type)

Logically Collective on SNES

### Input Parameters

| SNES | - the SNES context
| type | - the type of update, PC_ASM_BASIC or PC_ASM_RESTRICT

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetType(), PCASMSetType()

Level:intermediate
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages